Tag: arch linux

Arch linuxBoot зависает в кэше Man-db Started Update

После полной модернизации системы с помощью pacman -Syu Ядро обновлено, но когда я закрываю ноутбук и открываю его снова, он зависает над этим сообщением: [ OK ] Reached target Graphical Interfaces [ OK ] Started Rotate log files [ OK ] Stopped LXDE Display Manager. [ OK ] Started LXDE Display Manager. [ OK ] […]

USB-модем: интерфейс не распознается

Я пытаюсь установить USB-модем между моим телефоном (Android 2.3) и моим ноутбуком (Antergos), следуя связанной статье в ArchWiki Однако, когда я использую команду 'ip link' (как указано в руководстве в пункте 2: USB-модем), отображаются только 3 соединения: lo, wlp3s0, enp0s25 То же самое происходит при подключении телефона, что указывает на то, что мой ноутбук не […]

поиск rar в yaourt

Я пытаюсь установить rar с помощью yaourt, проблема в том, что я получаю + 5k результатов и не могу отфильтровать пакет, содержащий rar. Ни |grep помогает, ни |head , первые сотни строк являются lib'rar'ies. Что я мог сделать, чтобы обойти это?

Использование udevadm для ожидания сканирования scsi для завершения внутри initramfs?

Где проблема: я использую ArchLinux с archzfs, а привязка zfs в моих initramfs иногда пытается (и не удается) импортировать пулы слишком рано, прежде чем scsi-сканирование всех дисков, используемых ZFS, будет завершено. Это приводит к сбою загрузки, поскольку zfs используется в моей системе также как корневая файловая система. Чтобы решить эту проблему, я ищу некоторую команду, […]

xrdp не работает в Arch Linux с помощью диспетчера окон i3

У меня есть новая установка Arch Linux, [0s] $ uname -a Linux fermata 4.8.11-1-ARCH #1 SMP PREEMPT Sun Nov 27 09:26:14 CET 2016 x86_64 GNU/Linux на который я установил, включил и запустил xrdp: systemctl –type="server" … xrdp-sesman.service loaded active running xrdp session manager xrdp.service loaded active running xrdp daemon У меня также работает vncserver :0 […]

autofs core dumps после настройки /etc/autofs/autofs_ldap_auth.conf

Некоторая быстрая системная информация: я запускаю Arch linux со всем последним программным обеспечением, LDAP настроен и (более или менее) работает. Карты autofs хранятся на сервере LDAP, и эти карты используются несколькими сотнями ящиков Ubuntu 14.04. Вот конфигурация /etc/autofs/autofs_ldap_auth.conf: <autofs_ldap_sasl_conf usetls="yes" tlsrequired="yes" authrequired="yes" authtype="EXTERNAL" external_cert="etc/openldap/ca-cert.pem" /> при запуске # systemctl start autofs autofs dumps core: Jan […]

Как рекурсивно понизить пакет и его зависимости в Arch

Мне нужно понизить xmonad, потому что после последнего обновления он сбой при запуске конкретной программы (в частности, fldigi). Вопреки вопросу Как вы отказываетесь от нескольких пакетов в arch linux? , Мне нужно обновлять пакеты рекурсивно со своими зависимостями. Чтобы понизить xmonad, мне нужно понизить haskell-x11, который зависит от haskell -…, который зависит от ~ 20 […]

Вкус initrd

Эта страница вики-страницы Arch говорит: Если вы используете initrd на основе systemd, вы должны передать: rd.luks.options=discard Как запросить мини-оболочку initrd чтобы узнать, запущен ли systemd базе systemd ? Каковы другие возможные типы initrd ?

Установите Arch Linux на MBP и удалите Mac OS

Я хочу установить Arch Linux на моем MBP 2015 и удалить Mac OS. Возможно ли сохранить раздел восстановления Mac OS, поэтому, когда я хочу вернуться в Mac OS, мне просто нужно запустить восстановление? Вывод списка diskutil: MacBook-Pro-van-Youri:~ youri$ diskutil list /dev/disk0 (internal, physical): #: TYPE NAME SIZE IDENTIFIER 0: GUID_partition_scheme *251.0 GB disk0 1: EFI […]

libcrypto.so.1.0.0: информация о версии отсутствует (требуется /opt/Android/Sdk/cmake/3.6.3155560/bin/cmake)

Я встретил эту проблему только с Android-студией, система cmake отлично работает. /opt/Android/Sdk/cmake/3.6.3155560/bin/cmake: /usr/lib/libcrypto.so.1.0.0: no version information available (required by /opt/Android/Sdk/cmake/3.6.3155560/bin/cmake) /opt/Android/Sdk/cmake/3.6.3155560/bin/cmake: /usr/lib/libssl.so.1.0.0: no version information available (required by /opt/Android/Sdk/cmake/3.6.3155560/bin/cmake) /opt/Android/Sdk/cmake/3.6.3155560/bin/cmake: /usr/lib/libssl.so.1.0.0: no version information available (required by /opt/Android/Sdk/cmake/3.6.3155560/bin/cmake) Я бежал с duckduck и googled, но не нашел подходящего решения. Как их исправить?

Linux и Unix - лучшая ОС в мире.